Package org.italiangrid.voms.request

# Interface VOMSServerInfoStore

All Known Implementing Classes:
  `DefaultVOMSServerInfoStore`

public interface VOMSServerInfoStore
A store containing the contact information for locally trusted VOMS servers.

Author:
  Andrea Ceccanti

## Method Summary

Modifier and Type
Method
Description
`void`
`addVOMSServerInfo(VOMSServerInfo info)`
Adds a `VOMSServerInfo` to this `VOMSServerInfoStore`.
`Set<VOMSServerInfo>`
`getVOMSServerInfo()`
Returns a set of all `VOMSServerInfo` objects in this `VOMSServerInfoStore`.
`Set<VOMSServerInfo>`
`getVOMSServerInfo(String voName)`
Returns a set of `VOMSServerInfo` object matching a vo name or alias passed as argument.

## Method Details

### getVOMSServerInfo

Set<VOMSServerInfo> getVOMSServerInfo(String voName)
Returns a set of `VOMSServerInfo` object matching a vo name or alias passed as argument.

Parameters:
  `voName` - a VO name
Returns:
  a possibly empty set of `VOMSServerInfo` object matching the vo name or alias passed as argument

### getVOMSServerInfo

Set<VOMSServerInfo> getVOMSServerInfo()
Returns a set of all `VOMSServerInfo` objects in this `VOMSServerInfoStore`.

Returns:
  a possibly empty set of all `VOMSServerInfo` objects in this `VOMSServerInfoStore`.

### addVOMSServerInfo

void addVOMSServerInfo(VOMSServerInfo info)
Adds a `VOMSServerInfo` to this `VOMSServerInfoStore`.

Parameters:
  `info` - the `VOMSServerInfo` object to add.